import deleteOptimization from '../../../../src/commands/optimize/delete-optimization';
import initConfig from '../config-mock';

describe('delete-optimization stage test', () => {
	it('should resolve config if config.optimizationCreated=false', (done) => {
		const config = initConfig();
		config.optimizationCreated = false;

		deleteOptimization(config)
			.then(c => { 
				expect(c).toBe(config);
				done();
			})
	})

	it('should resolve config if config.optimizationCreated=true', (done) => {
		const config = initConfig();
		config.optimizationCreated = true;

		deleteOptimization(config)
			.then(c => { 
				expect(c).toBe(config);
				done();
			})
	});
});
