import fs from 'fs';

import File from '../../../src/utils/file';
import jsonfile from 'jsonfile';

describe('File test', () => {
	let files = [
		'static/index.html',
		'static/about.html',
		'static/favicon.ico',
		'static/images/logo.svg',
		'static/images/background.png',
		'static/products/index.html',
		'static/products/product.jpg',
		'static/products/product.js',
		'static/products/product.css',
		'static/services/index.html',
		'static/services/services.js',
		'static/services/services.css',
	];
	const desiredEntries = [
		'/index.html',
		'/about.html',
		'/products/index.html',
		'/services/index.html',
	];

	it('should return all html files paths in a filelist, also path must start with / and be relative dir', () => {
		const fmanager = new File('./static');
		expect(fmanager.getDirEntries(fmanager.path, files, "html")).toEqual(desiredEntries);
	});
})
