const uriValidator = require('valid-url');
const urlValidator = require('is-url');

const validateUrl = url => {
	const decoratedUrl = `http://${url}`;
	const isValid = link => (urlValidator(link) && (uriValidator.isHttpUri(link) || uriValidator.isHttpsUri(link)));
	if (isValid(url) || isValid(decoratedUrl)) {
		return true;
	}
	return false;
};

export {validateUrl};
